using System;

internal sealed class Delegate390 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate390 delegate390_1)
	{
		return delegate390_1(object_0);
	}

	public extern Delegate390(object object_0, IntPtr intptr_0);

	static Delegate390()
	{
		Class10.smethod_13(typeof(Delegate390).TypeHandle);
	}

	internal static Delegate390 delegate390_0;
}
